Blockly.Blocks['speed'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("はしれ");
    this.appendDummyInput()
        .appendField("アドレス")
        .appendField(new Blockly.FieldNumber(3, 1, 9999), "LOC_ADDR");
    this.appendDummyInput()
        .appendField("速度")
        .appendField(new Blockly.FieldNumber(0, 0, 100), "LOC_SPEED")
        .appendField("%");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['speedx'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("はしれ");
    this.appendValueInput("inAddr")
        .setCheck("Number")
        .appendField("アドレス")
    this.appendValueInput("inSpeed")
        .setCheck("Number")
        .appendField("速度")
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['direction'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("走る向き");
    this.appendDummyInput()
        .appendField("アドレス")
        .appendField(new Blockly.FieldNumber(3, 1, 9999), "LOC_ADDR");
    this.appendDummyInput()
        .appendField("向き")
        .appendField(new Blockly.FieldNumber(1, 1, 2), "LOC_DIR");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['directionx'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("走る向き");
    this.appendValueInput("inAddr")
        .setCheck("Number")
        .appendField("アドレス")
    this.appendValueInput("inDir")
        .setCheck("Number")
        .appendField("向き")
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['turnout'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("ポイント");
    this.appendDummyInput()
        .appendField("アドレス")
        .appendField(new Blockly.FieldNumber(1, 1, 2048), "ACC_ADDR");
    this.appendDummyInput()
        .appendField("向き")
        .appendField(new Blockly.FieldDropdown([["まっすぐ","1"], ["ぶんき","0"]]), "ACC_DIR");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(315);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['turnoutx'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("ポイント");
    this.appendValueInput("inAddr")
        .setCheck("Number")
        .appendField("アドレス")
    this.appendValueInput("inDir")
        .setCheck("Number")
        .appendField("向き")
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(315);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['locfunction'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("機能");
    this.appendDummyInput()
        .appendField("アドレス")
        .appendField(new Blockly.FieldNumber(3, 1, 9999), "LOC_ADDR");
    this.appendDummyInput()
        .appendField("F")
        .appendField(new Blockly.FieldNumber(0, 0, 28), "NAME");
    this.appendDummyInput()
        .appendField("そうさ")
        .appendField(new Blockly.FieldCheckbox("TRUE"), "FUNC_VAL");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("loco function");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['locfunctionx'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("機能");
    this.appendValueInput("inAddr")
        .setCheck("Number")
        .appendField("アドレス")
    this.appendValueInput("inFuncNo")
        .setCheck("Number")
        .appendField("F")
    this.appendValueInput("inFuncVal")
        .setCheck("Number")
        .appendField("そうさ")
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("loco function");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['getslotspeed'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("スロット速度")
        .appendField(new Blockly.FieldDropdown([["スロット1","0"], ["スロット2","1"], ["スロット3","2"], ["スロット4","3"]]), "SLOT_NO");
    this.setInputsInline(true);
    this.setOutput(true, "Number");
    this.setColour(270);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['waitsleep'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("待つ")
        .appendField(new Blockly.FieldNumber(1, 1, 100000), "WAIT_TIME")
        .appendField("秒");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['s88start'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("在線センサかいし");
    this.setInputsInline(true);
    this.setColour(230);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['s88get'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("在線センサ")
        .appendField(new Blockly.FieldNumber(1, 1, 16), "S88_ADDR");
    this.setInputsInline(true);
    this.setOutput(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['s88getx'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("在線センサ");
    this.appendValueInput("PRM_S88")
        .setCheck("Number");
    this.setInputsInline(true);
    this.setOutput(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['getslotaddr'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("スロットアドレス")
        .appendField(new Blockly.FieldDropdown([["スロット1","0"], ["スロット2","1"], ["スロット3","2"], ["スロット4","3"]]), "SLOT_NO");
    this.setInputsInline(true);
    this.setOutput(true, "Number");
    this.setColour(270);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['stop_funcx'] = {
  init: function() {
    this.appendValueInput("PRM_STOP")
        .setCheck("Number")
        .appendField("とまれ")
        .appendField("アドレス");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['stop_func'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("とまれ")
        .appendField("アドレス")
        .appendField(new Blockly.FieldNumber(3, 1, 9999), "LOCADDR");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['playmp3'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("MP3をならす")
        .appendField(new Blockly.FieldTextInput("test.mp3"), "MP3FILE");
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(90);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['stopmp3'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("MP3をとめる");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(90);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['exitthis'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("プログラム終わり");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(180);
 this.setTooltip("プログラムを終わらせます");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['getslotfnc'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("スロット機能");
    this.appendDummyInput()
        .appendField(new Blockly.FieldDropdown([["スロット1","0"], ["スロット2","1"], ["スロット3","2"], ["スロット4","3"]]), "SLOTNO")
        .appendField("番号")
        .appendField(new Blockly.FieldNumber(0, 0, 28), "LOC_FNC");
    this.setInputsInline(true);
    this.setOutput(true, "Number");
    this.setColour(270);
 this.setTooltip("スロットの機能がオンかどうかチェックします");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['powerx'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("でんげん");
    this.appendValueInput("inPwr")
        .setCheck("Number")
        .appendField("そうさ");
   this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};

Blockly.Blocks['power'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("でんげん")
        .appendField("そうさ")
        .appendField(new Blockly.FieldCheckbox("TRUE"), "PWR_VAL");
    this.setInputsInline(true);
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    this.setColour(230);
 this.setTooltip("");
 this.setHelpUrl("");
  }
};